Core APIReferenceVaultsSlug
/vaults/{slug}/fulfilled-redemptions
Get Vault fulfilled redemptions by slug
Get Vault fulfilled redemptions by slug
Path Parameters
slug*string
Unique slug identifier for the vault.
Length
1 <= lengthQuery Parameters
startDate?|
Optional fulfillment start date filter. Defaults to 30 days ago if not provided.
endDate?|
Optional fulfillment end date
user?string
Optional user address
Match
^0x[a-fA-F0-9]+$chainId?|
Optional chain ID
queueAddress?string
Optional atomic queue address. Only applies to atomicQueue redemptions.
Match
^0x[a-fA-F0-9]+$redemptionType?string
Optional redemption type. Defaults to atomicQueue for boring vaults and nest for nest vaults if not specified. If "all" is specified, all redemptions will be returned.
Value in
- "atomicQueue"
- "nest"
- "all"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/vaults/nest-alpha-vault/fulfilled-redemptions"{ "data": { "vaultAddress": "string", "fulfilledRedemptions": [ { "transactionHash": "string", "user": "string", "offerAmountSpent": 0, "wantAmountReceived": 0, "chainId": 0, "fulfilledAt": 0 } ] }}